<?php
/*********************************************************************
    ajax.phone.php

    AJAX interface for  user names(based on submitted tickets)
    XXX: osTicket doesn't support user accounts at the moment.

    Peter Rotich <peter@osticket.com>
    Copyright (c)  2006-2013 osTicket
    http://www.osticket.com

    Released under the GNU General Public License WITHOUT ANY WARRANTY.
    See LICENSE.TXT for details.

    vim: expandtab sw=4 ts=4 sts=4:
**********************************************************************/

if(!defined('INCLUDE_DIR')) die('403');

include_once(INCLUDE_DIR.'class.ticket.php');

class UsersAjaxAPI extends AjaxController {
   
    /* Assumes search by email for now */
    function search() {

        if(!isset($_REQUEST['q'])) {
            Http::response(400, 'Query argument is required');
        }

        $limit = isset($_REQUEST['limit']) ? (int) $_REQUEST['limit']:20;
        $users=array();

        $sql='SELECT DISTINCT phone, email, name, pcname'
            .' FROM '.TICKET_TABLE
            .' WHERE phone LIKE \'%'.db_input(strtolower($_REQUEST['q']), false).'%\' '
            .' ORDER BY created DESC'
            .' LIMIT '.$limit;
			
           
        if(($res=db_query($sql)) && db_num_rows($res)){
            while(list($phone,$email,$name,$pcname,)=db_fetch_row($res)) {
                $phones[] = array('name'=>$name, 'pcname'=>$pcname, 'phone'=>$phone, 'email'=>$email, 'info'=>"$email - $name - $pcname - $phone");
            }                    
        }  
        
        return $this->json_encode($phones);

    }
}


?>